#
# spec file for package iscan (Version 1.17.0.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  e2fsprogs e2fsprogs-devel gcc-c++ gettext gettext-devel gimp-devel gnome-devel-packages gtk2-devel-packages libexif libgphoto2 libieee1284 libjpeg libstdc++-devel libusb resmgr sane

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel atk atk-devel audiofile audiofile-devel autoconf automake binutils cairo cairo-devel db1 db1-devel e2fsprogs-devel esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gconf gdbm gdk-pixbuf gdk-pixbuf-devel gettext gimp-devel glib glib-devel glib2 glib2-devel glitz glitz-devel gnome-common gnome-filesystem gnome-libs gnome-libs-devel gnome-vfs gnome-vfs-devel gtk gtk-devel gtk2 gtk2-devel imlib imlib-devel libexif libgphoto2 libieee1284 libjpeg libjpeg-devel libpixman libpixman-devel libpng libpng-devel libstdc++-devel libtool libusb libxml libxml-devel oaf oaf-devel openssl-devel orbit orbit-devel pango pango-devel perl pkgconfig popt-devel resmgr rpm sane update-desktop-files xorg-x11-devel xorg-x11-libs

Name:         iscan
URL:          http://www.avasys.jp/english/linux_e/index.html
# A RPM made by Epson Avasys is also available:
# http://lx1.avasys.jp/iscan/v1170/iscan-1.17.0-1.c2.i386.rpm
License:      LGPL, Commercial
Group:        Hardware/Scanner
Autoreqprov:  on
Summary:      Image Scan is a proprietary software for Epson scanners
# URL for Source0: http://lx1.avasys.jp/iscan/v1170/iscan-1.17.0-1.c2.tar.gz
Source0:      iscan-1.17.0-1.c2.tar.bz2
# URL for Source1: http://lx1.avasys.jp/iscan/data/userg_revG_e.pdf
Source1:      userg_revG_e.pdf
# Have Epson Avasys' release number at the end of the SUSE package Version:
Version:      1.17.0.1
Release:      0.1
# See the post and triggerin sections what is pre-required:
PreReq:       coreutils, /bin/grep, /bin/sed
Requires:     sane
# Either iscan-free or iscan can be installed.
# If iscan replaces iscan-free, proprietary software becomes installed.
# If iscan-free replaces iscan, some scanner models do no longer work.
# Therefore real "Conflicts" (and not "Obsoletes" which does a silent replacement):
Conflicts:    iscan-free
# Install into this non-root directory (required when norootforbuild is used):
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
# Used to exclude libsane from the provide-list which is made by Autoreqprov:
%define my_provides /tmp/my-provides
# Skip testing devel dependencies required by libtool .la files by the following comment:
# skip-check-libtool-deps
%debug_package
%prep
# The directory in the Source0 archive is different because
# our Version has the Epson Avasys' release number at the end:
%setup -n %{name}-1.17.0
# Get the user guide:
cp %{SOURCE1} .

%build
autoreconf -fi
# Set our preferred architecture-specific flags for the compiler and linker:
# If -D_GNU_SOURCE is not set, the prototype for strndup in /usr/include/string.h is skipped.
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
export CXXFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
# See /usr/lib/rpm/suse_macros regarding our RPM macros (e.g. sysconfdir is /etc).
# enable-jpeg and enable-png is used in Epson Avasys' iscan.spec file:
./configure --prefix=%{_prefix} \
            --sysconfdir=%{_sysconfdir} \
            --mandir=%{_mandir} \
            --libdir=%{_libdir} \
            --enable-jpeg \
            --enable-png
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}
# Install the backend's config file:
install -d %{buildroot}%{_sysconfdir}/sane.d/
install -m 644 backend/epkowa.conf %{buildroot}%{_sysconfdir}/sane.d/
# Install the backend's description file:
# Change the manufacturer name to the same as in SANE's epson.desc file.
grep -q '^:mfg[[:space:]][[:space:]]*"EPSON"' doc/epkowa.desc || exit 1
sed -e 's|^:mfg[[:space:]][[:space:]]*"EPSON".*|:mfg "Epson"|' doc/epkowa.desc >%{buildroot}%{_datadir}/iscan/epkowa.desc
# Install the USB usermap file (list of USB manufacturer and model IDs)
# and the matching hotplug script under /usr/share/iscan because we do not actually use it
# because our resmgr grants USB access by default without hotplug or usermap stuff.
install -m 644 utils/hotplug/iscan.usermap %{buildroot}%{_datadir}/iscan/
install -m 755 utils/hotplug/iscan-device %{buildroot}%{_datadir}/iscan/
# Create GIMP plugin link (see /usr/share/doc/packages/iscan/README):
install -d %{buildroot}/opt/gnome/%{_lib}/gimp/2.0/plug-ins
ln -s %{_bindir}/iscan %{buildroot}/opt/gnome/%{_lib}/gimp/2.0/plug-ins/iscan
# Exclude libsane from the provide-list which is made by Autoreqprov:
cat << EOF > %{my_provides}
grep -v %{_libdir}/sane | %{__find_provides}
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}

%post
/sbin/ldconfig

%triggerin -- sane
# The package sane updated or installed after iscan and then trigger to
# add the SANE backend "epkowa" again to /etc/sane.d/dll.conf if it is not there.
# Note that this is also run when only iscan is installed or updated
# and therefore the test that /etc/sane.d/dll.conf exists and is writable.
if test -w /etc/sane.d/dll.conf
then grep -q 'epkowa' /etc/sane.d/dll.conf || echo -e '# The epkowa backend is provided by the iscan package:\n#epkowa' >>/etc/sane.d/dll.conf
fi
# Save the sane package backend description file and
# copy the iscan package description file to the sane package location
# but don't overwrite epkowa.desc.sane when it already exists:
if test -f /usr/share/sane/descriptions-external/epkowa.desc -a ! -f /usr/share/sane/descriptions-external/epkowa.desc.sane
then mv /usr/share/sane/descriptions-external/epkowa.desc /usr/share/sane/descriptions-external/epkowa.desc.sane
fi
if test -d /usr/share/sane/descriptions-external/
then cp /usr/share/iscan/epkowa.desc /usr/share/sane/descriptions-external/
fi
exit 0

%postun
/sbin/ldconfig
# If the package was removed (but not if it was updated)
# then remove the epkowa lines in /etc/sane.d/dll.conf
# Note that sane may not be installed (see triggerin)
# and therefore the test that /etc/sane.d/dll.conf exists and is writable.
[ "$1" = "0" -a -w /etc/sane.d/dll.conf ] && sed -i -e '/epkowa/d' /etc/sane.d/dll.conf
# Restore the sane package backend description file:
if test -f /usr/share/sane/descriptions-external/epkowa.desc.sane
then mv -f /usr/share/sane/descriptions-external/epkowa.desc.sane /usr/share/sane/descriptions-external/epkowa.desc
fi
exit 0

%files
%defattr(-,root,root)
%doc README README.ja COPYING COPYING.LIB AUTHORS NEWS NEWS.ja
%doc non-free/EAPL.en.txt non-free/EAPL.ja.txt non-free/LICENSE.EPSON.en.txt non-free/LICENSE.EPSON.ja.txt
%doc userg_revG_e.pdf
%dir %{_sysconfdir}/sane.d
%config %{_sysconfdir}/sane.d/epkowa.conf
%{_bindir}/iscan
%{_libdir}/libesmod.so*
%dir %{_libdir}/iscan
%{_libdir}/iscan/libesint*.so*
%dir %{_libdir}/sane
%{_libdir}/sane/libsane-epkowa.so*
%{_libdir}/sane/libsane-epkowa.la
%{_libdir}/sane/libsane-epkowa.a
%{_datadir}/iscan/
%{_datadir}/locale/*/LC_MESSAGES/iscan.mo
%{_mandir}/man1/iscan.1.gz
%{_mandir}/man5/sane-epkowa.5.gz
%dir /opt/gnome/%{_lib}/gimp
%dir /opt/gnome/%{_lib}/gimp/2.0
%dir /opt/gnome/%{_lib}/gimp/2.0/plug-ins
/opt/gnome/%{_lib}/gimp/2.0/plug-ins/iscan

%description
The user guide is the file /usr/share/doc/packages/iscan/userg_e.pdf

Image Scan contains the following parts:

iscan (the program you use to scan your images - see "man iscan"),

libsane-epkowa (an improved driver for Epson scanners - see "man
sane-epkowa"),

libesmod (a proprietary module used by iscan),

libesint* (proprietary module used by libsane-epkowa),

esfw*.bin (proprietary data used by libesint*).

The latter modules are provided (in object code form only) under the
terms of the license agreement provided in the file
/usr/share/doc/packages/iscan/COPYING.KOWA

The iscan program is covered by the GNU General Public License with a
special exception that allows linking with the libesmod module.

The libsane-epkowa driver is released under the same conditions as the
SANE backends, that is under the GNU General Public License with a
special exception that allows linking a SANE library with other files
to produce an executable.

Note, the modules used by libsane-epkowa are only needed for some
low-end scanners, namely:

libesint1F: Perfection 1250/Perfection 1250 PHOTO

libesint23: Perfection 1260/Perfection 1260 PHOTO

libesint32: Perfection 3170 PHOTO

libesint43: Perfection 4180 PHOTO



Authors:
--------
    Noriyuki Sasaki
    Peter J. Schretlen
    Olaf Meeuwissen
    Narihiro Matsukuma
    Ross Boylan
    Tobias Kramer


%changelog -n iscan
* Wed Oct 05 2005 - jsmeix@suse.de
- Updated to version 1.17.0-1 (results package version 1.17.0.1).
* Wed Sep 28 2005 - jsmeix@suse.de
- Added a RPM conflict with iscan-free.
* Mon Aug 08 2005 - jsmeix@suse.de
- Added GIMP plugin link (see "man iscan"
  and /usr/share/doc/packages/iscan/README).
* Mon Aug 01 2005 - jsmeix@suse.de
- Added the USB usermap file to the iscan package to have the
  USB manufacturer and model IDs available for scanner detection.
* Tue Jul 26 2005 - jsmeix@suse.de
- Updated to version 1.15.0-2 (results package version 1.15.0.2).
- Removed obsolete fixes for GCC4 (gcc4.diff).
- Added epkowa.desc to the iscan package.
- Copy epkowa.desc via "triggerin" to the sane package location.
* Fri Jul 01 2005 - jsmeix@suse.de
- Use RPM_OPT_FLAGS
* Fri Apr 22 2005 - jsmeix@suse.de
- Updated to version 1.14.0-3 (results package version 1.14.0.3).
- Added fixes for GCC4 (gcc4.diff).
- Removed obsolete patch for epkowa.conf (see Jan 25 2005).
* Tue Mar 22 2005 - jsmeix@suse.de
- Added PreReq.
* Mon Mar 07 2005 - ro@suse.de
- block provides for libsane.so.1 (in sane package only)
* Thu Feb 17 2005 - jsmeix@suse.de
- Update to version 1.13.1-1 (results package version 1.13.1.1).
* Tue Feb 15 2005 - jsmeix@suse.de
- Using '%%triggerin -- sane' to add the 'epkowa' backend to
  /etc/sane.d/dll.conf so that now sane can be re-installed
  from scratch without the need to re-install iscan too.
* Wed Jan 26 2005 - jsmeix@suse.de
- Replaced '/usr/lib' by %%{_libdir} to be prepared for 64-bit
  but at the moment it cannot be built on non-i386 platforms
  because of the proprietary binary-only i-386-only libesmod.so
* Tue Jan 25 2005 - jsmeix@suse.de
- Changed the wrong "usb ..." entry in epkowa.conf so that the
  epkowa backend can autodetect its known USB scanners.
- If the package was removed then remove the epkowa lines
  in /etc/sane.d/dll.conf
* Wed Jan 19 2005 - jsmeix@suse.de
- Update to version 1.13.0-3 (results package version 1.13.0.3).
- Removed the redundant requirement for resmgr.
- Simplified the RPM post install script to add the epkowa
  backend disabled (with leading '#') to /etc/sane.d/dll.conf
* Mon Jul 19 2004 - jsmeix@suse.de
- Added libieee1284 because sane has now libieee1284 support
  and therefore ican links itself to libieee1284 libraries too.
- To be safe added an explicite requirement for resmgr
  because libusb requires resmgr.
* Thu Jun 24 2004 - jsmeix@suse.de
- initial version
